Evaluate
curl --request POST \
--url https://api.getcargo.io/v1/ai/evaluator/evaluate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rubric": "<string>",
"messageUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"output": "<string>",
"context": "<string>"
}
'import requests
url = "https://api.getcargo.io/v1/ai/evaluator/evaluate"
payload = {
"rubric": "<string>",
"messageUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"output": "<string>",
"context": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rubric: '<string>',
messageUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
output: '<string>',
context: '<string>'
})
};
fetch('https://api.getcargo.io/v1/ai/evaluator/evaluate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"evaluation": {
"score": 0.5,
"passed": true,
"criteria": [
{
"name": "<string>",
"passed": true,
"reason": "<string>"
}
],
"summary": "<string>"
}
}AI - Evaluator
Evaluate
Run an AI evaluator
POST
/
ai
/
evaluator
/
evaluate
Evaluate
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Body schema for the evaluator evaluate endpoint. Provide either messageUuid or output as the thing to grade.
Natural-language criteria describing what a good output looks like.
Minimum string length:
1When set, the output to grade is read from this message's text.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Text to grade directly. Used when messageUuid is not provided.
Optional extra context to ground the evaluation.
Response
Successful response
Show child attributes
Show child attributes
Was this page helpful?
⌘I

